/* Backend.c generated by valac 0.34.4, the Vala compiler
 * generated from Backend.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libedataserver/libedataserver.h>
#include <gee.h>


#define MAYA_TYPE_BACKEND (maya_backend_get_type ())
#define MAYA_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_BACKEND, MayaBackend))
#define MAYA_IS_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_BACKEND))
#define MAYA_BACKEND_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), MAYA_TYPE_BACKEND, MayaBackendIface))

typedef struct _MayaBackend MayaBackend;
typedef struct _MayaBackendIface MayaBackendIface;

#define MAYA_TYPE_PLACEMENT_WIDGET (maya_placement_widget_get_type ())
#define MAYA_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidget))
#define MAYA_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))
#define MAYA_IS_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_IS_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_PLACEMENT_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))

typedef struct _MayaPlacementWidget MayaPlacementWidget;
typedef struct _MayaPlacementWidgetClass MayaPlacementWidgetClass;

struct _MayaBackendIface {
	GTypeInterface parent_iface;
	gchar* (*get_name) (MayaBackend* self);
	gchar* (*get_uid) (MayaBackend* self);
	GeeCollection* (*get_new_calendar_widget) (MayaBackend* self, ESource* to_edit);
	void (*add_new_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
	void (*modify_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);
};



GType maya_placement_widget_get_type (void) G_GNUC_CONST;
GType maya_backend_get_type (void) G_GNUC_CONST;
gchar* maya_backend_get_name (MayaBackend* self);
gchar* maya_backend_get_uid (MayaBackend* self);
GeeCollection* maya_backend_get_new_calendar_widget (MayaBackend* self, ESource* to_edit);
void maya_backend_add_new_calendar (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
void maya_backend_modify_calendar (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);


gchar* maya_backend_get_name (MayaBackend* self) {
#line 24 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 24 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	return MAYA_BACKEND_GET_INTERFACE (self)->get_name (self);
#line 78 "Backend.c"
}


gchar* maya_backend_get_uid (MayaBackend* self) {
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	return MAYA_BACKEND_GET_INTERFACE (self)->get_uid (self);
#line 87 "Backend.c"
}


GeeCollection* maya_backend_get_new_calendar_widget (MayaBackend* self, ESource* to_edit) {
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	return MAYA_BACKEND_GET_INTERFACE (self)->get_new_calendar_widget (self, to_edit);
#line 96 "Backend.c"
}


void maya_backend_add_new_calendar (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets) {
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	MAYA_BACKEND_GET_INTERFACE (self)->add_new_calendar (self, name, color, set_default, widgets);
#line 105 "Backend.c"
}


void maya_backend_modify_calendar (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source) {
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	g_return_if_fail (self != NULL);
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	MAYA_BACKEND_GET_INTERFACE (self)->modify_calendar (self, name, color, set_default, widgets, source);
#line 114 "Backend.c"
}


static void maya_backend_base_init (MayaBackendIface * iface) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	static gboolean initialized = FALSE;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
	if (!initialized) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/Backend.vala"
		initialized = TRUE;
#line 125 "Backend.c"
	}
}


GType maya_backend_get_type (void) {
	static volatile gsize maya_backend_type_id__volatile = 0;
	if (g_once_init_enter (&maya_backend_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaBackendIface), (GBaseInitFunc) maya_backend_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType maya_backend_type_id;
		maya_backend_type_id = g_type_register_static (G_TYPE_INTERFACE, "MayaBackend", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (maya_backend_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&maya_backend_type_id__volatile, maya_backend_type_id);
	}
	return maya_backend_type_id__volatile;
}



