/* LocalBackend.c generated by valac 0.34.4, the Vala compiler
 * generated from LocalBackend.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libedataserver/libedataserver.h>
#include <gee.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>


#define MAYA_TYPE_BACKEND (maya_backend_get_type ())
#define MAYA_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_BACKEND, MayaBackend))
#define MAYA_IS_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_BACKEND))
#define MAYA_BACKEND_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), MAYA_TYPE_BACKEND, MayaBackendIface))

typedef struct _MayaBackend MayaBackend;
typedef struct _MayaBackendIface MayaBackendIface;

#define MAYA_TYPE_PLACEMENT_WIDGET (maya_placement_widget_get_type ())
#define MAYA_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidget))
#define MAYA_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))
#define MAYA_IS_PLACEMENT_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_IS_PLACEMENT_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_PLACEMENT_WIDGET))
#define MAYA_PLACEMENT_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_PLACEMENT_WIDGET, MayaPlacementWidgetClass))

typedef struct _MayaPlacementWidget MayaPlacementWidget;
typedef struct _MayaPlacementWidgetClass MayaPlacementWidgetClass;

#define MAYA_TYPE_LOCAL_BACKEND (maya_local_backend_get_type ())
#define MAYA_LOCAL_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackend))
#define MAYA_LOCAL_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackendClass))
#define MAYA_IS_LOCAL_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_LOCAL_BACKEND))
#define MAYA_IS_LOCAL_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_LOCAL_BACKEND))
#define MAYA_LOCAL_BACKEND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackendClass))

typedef struct _MayaLocalBackend MayaLocalBackend;
typedef struct _MayaLocalBackendClass MayaLocalBackendClass;
typedef struct _MayaLocalBackendPrivate MayaLocalBackendPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _MayaLocalBackendAddSourceData MayaLocalBackendAddSourceData;
typedef struct _MayaLocalBackendSetSourceDefaultData MayaLocalBackendSetSourceDefaultData;

struct _MayaBackendIface {
	GTypeInterface parent_iface;
	gchar* (*get_name) (MayaBackend* self);
	gchar* (*get_uid) (MayaBackend* self);
	GeeCollection* (*get_new_calendar_widget) (MayaBackend* self, ESource* to_edit);
	void (*add_new_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
	void (*modify_calendar) (MayaBackend* self, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);
};

struct _MayaLocalBackend {
	GObject parent_instance;
	MayaLocalBackendPrivate * priv;
};

struct _MayaLocalBackendClass {
	GObjectClass parent_class;
};

struct _MayaLocalBackendPrivate {
	ESourceRegistry* registry;
};

struct _MayaLocalBackendAddSourceData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	MayaLocalBackend* self;
	ESource* new_source;
	gboolean set_default;
	ESourceRegistry* _tmp0_;
	ESourceRegistry* _tmp1_;
	ESourceRegistry* _tmp2_;
	ESourceRegistry* _tmp3_;
	ESourceRegistry* _tmp4_;
	ESource* _tmp5_;
	gboolean _tmp6_;
	ESource* _tmp7_;
	GError* _error_;
	GError* _tmp8_;
	const gchar* _tmp9_;
	GError * _inner_error_;
};

struct _MayaLocalBackendSetSourceDefaultData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	MayaLocalBackend* self;
	ESource* source;
	ESourceRegistry* _tmp0_;
	ESourceRegistry* _tmp1_;
	ESourceRegistry* _tmp2_;
	ESourceRegistry* _tmp3_;
	ESourceRegistry* _tmp4_;
	ESource* _tmp5_;
	ESource* _tmp6_;
	GError* _error_;
	GError* _tmp7_;
	const gchar* _tmp8_;
	GError * _inner_error_;
};


static gpointer maya_local_backend_parent_class = NULL;
static MayaBackendIface* maya_local_backend_maya_backend_parent_iface = NULL;

GType maya_placement_widget_get_type (void) G_GNUC_CONST;
GType maya_backend_get_type (void) G_GNUC_CONST;
GType maya_local_backend_get_type (void) G_GNUC_CONST;
#define MAYA_LOCAL_BACKEND_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackendPrivate))
enum  {
	MAYA_LOCAL_BACKEND_DUMMY_PROPERTY
};
static gchar* maya_local_backend_real_get_name (MayaBackend* base);
static gchar* maya_local_backend_real_get_uid (MayaBackend* base);
static GeeCollection* maya_local_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit);
static void maya_local_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
gchar* maya_backend_get_uid (MayaBackend* self);
void maya_local_backend_add_source (MayaLocalBackend* self, ESource* new_source, gboolean set_default, GAsyncReadyCallback _callback_, gpointer _user_data_);
void maya_local_backend_add_source_finish (MayaLocalBackend* self, GAsyncResult* _res_);
static void maya_local_backend_add_source_data_free (gpointer _data);
static gboolean maya_local_backend_add_source_co (MayaLocalBackendAddSourceData* _data_);
static void maya_local_backend_add_source_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void maya_local_backend_set_source_default (MayaLocalBackend* self, ESource* source, GAsyncReadyCallback _callback_, gpointer _user_data_);
void maya_local_backend_set_source_default_finish (MayaLocalBackend* self, GAsyncResult* _res_);
static void maya_local_backend_set_source_default_data_free (gpointer _data);
static gboolean maya_local_backend_set_source_default_co (MayaLocalBackendSetSourceDefaultData* _data_);
static void maya_local_backend_set_source_default_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void maya_local_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);
MayaLocalBackend* maya_local_backend_new (void);
MayaLocalBackend* maya_local_backend_construct (GType object_type);
static void maya_local_backend_finalize (GObject* obj);


static gchar* maya_local_backend_real_get_name (MayaBackend* base) {
	MayaLocalBackend * self;
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) base;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = _ ("On this computer");
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	result = _tmp1_;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return result;
#line 182 "LocalBackend.c"
}


static gchar* maya_local_backend_real_get_uid (MayaBackend* base) {
	MayaLocalBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) base;
#line 31 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = g_strdup ("local-stub");
#line 31 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return result;
#line 198 "LocalBackend.c"
}


static GeeCollection* maya_local_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit) {
	MayaLocalBackend * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) base;
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = gee_linked_list_new (MAYA_TYPE_PLACEMENT_WIDGET, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	result = (GeeCollection*) _tmp0_;
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return result;
#line 214 "LocalBackend.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return self ? g_object_ref (self) : NULL;
#line 221 "LocalBackend.c"
}


static void maya_local_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets) {
	MayaLocalBackend * self;
	GError * _inner_error_ = NULL;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) base;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (name != NULL);
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (color != NULL);
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 236 "LocalBackend.c"
	{
		ESource* new_source = NULL;
		ESource* _tmp0_ = NULL;
		const gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		ESourceCalendar* cal = NULL;
		ESourceExtension* _tmp4_ = NULL;
		ESourceCalendar* _tmp5_ = NULL;
		ESourceCalendar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		ESourceCalendar* _tmp8_ = NULL;
		gboolean _tmp9_ = FALSE;
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp0_ = e_source_new (NULL, NULL, &_inner_error_);
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		new_source = _tmp0_;
#line 40 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 256 "LocalBackend.c"
			goto __catch1_g_error;
		}
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp1_ = name;
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_set_display_name (new_source, _tmp1_);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp2_ = maya_backend_get_uid ((MayaBackend*) self);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp3_ = _tmp2_;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_set_parent (new_source, _tmp3_);
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_free0 (_tmp3_);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp4_ = e_source_get_extension (new_source, E_SOURCE_EXTENSION_CALENDAR);
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp5_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, e_source_calendar_get_type (), ESourceCalendar));
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		cal = _tmp5_;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp6_ = cal;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp7_ = color;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp6_, _tmp7_);
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp8_ = cal;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_backend_set_backend_name ((ESourceBackend*) _tmp8_, "local");
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp9_ = set_default;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		maya_local_backend_add_source (self, new_source, _tmp9_, NULL, NULL);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_object_unref0 (cal);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_object_unref0 (new_source);
#line 295 "LocalBackend.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_error_ = _inner_error_;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_inner_error_ = NULL;
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp10_ = _error_;
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp11_ = _tmp10_->message;
#line 48 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("LocalBackend.vala:48: %s", _tmp11_);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_error_free0 (_error_);
#line 315 "LocalBackend.c"
	}
	__finally1:
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_clear_error (&_inner_error_);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		return;
#line 326 "LocalBackend.c"
	}
}


static void maya_local_backend_add_source_data_free (gpointer _data) {
	MayaLocalBackendAddSourceData* _data_;
	_data_ = _data;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->new_source);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->self);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_slice_free (MayaLocalBackendAddSourceData, _data_);
#line 340 "LocalBackend.c"
}


void maya_local_backend_add_source (MayaLocalBackend* self, ESource* new_source, gboolean set_default, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	MayaLocalBackendAddSourceData* _data_;
	MayaLocalBackend* _tmp0_ = NULL;
	ESource* _tmp1_ = NULL;
	ESource* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = g_slice_new0 (MayaLocalBackendAddSourceData);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, maya_local_backend_add_source);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, maya_local_backend_add_source_data_free);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->self = _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp1_ = new_source;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->new_source);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->new_source = _tmp2_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp3_ = set_default;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->set_default = _tmp3_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_add_source_co (_data_);
#line 374 "LocalBackend.c"
}


void maya_local_backend_add_source_finish (MayaLocalBackend* self, GAsyncResult* _res_) {
	MayaLocalBackendAddSourceData* _data_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 382 "LocalBackend.c"
}


static void maya_local_backend_add_source_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	MayaLocalBackendAddSourceData* _data_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = _user_data_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_source_object_ = source_object;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_res_ = _res_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_add_source_co (_data_);
#line 396 "LocalBackend.c"
}


static gboolean maya_local_backend_add_source_co (MayaLocalBackendAddSourceData* _data_) {
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	switch (_data_->_state_) {
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 0:
#line 405 "LocalBackend.c"
		goto _state_0;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 1:
#line 409 "LocalBackend.c"
		goto _state_1;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 2:
#line 413 "LocalBackend.c"
		goto _state_2;
		default:
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_assert_not_reached ();
#line 418 "LocalBackend.c"
	}
	_state_0:
	{
#line 54 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp0_ = NULL;
#line 54 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp0_ = _data_->self->priv->registry;
#line 54 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (_data_->_tmp0_ == NULL) {
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_state_ = 1;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			e_source_registry_new (NULL, maya_local_backend_add_source_ready, _data_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			return FALSE;
#line 434 "LocalBackend.c"
			_state_1:
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp2_ = NULL;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp2_ = e_source_registry_new_finish (_data_->_res_, &_data_->_inner_error_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp1_ = _data_->_tmp2_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 444 "LocalBackend.c"
				goto __catch2_g_error;
			}
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp3_ = NULL;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp3_ = _data_->_tmp1_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp1_ = NULL;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_g_object_unref0 (_data_->self->priv->registry);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->self->priv->registry = _data_->_tmp3_;
#line 54 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_g_object_unref0 (_data_->_tmp1_);
#line 459 "LocalBackend.c"
		}
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp4_ = NULL;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp4_ = _data_->self->priv->registry;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp5_ = NULL;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp5_ = _data_->new_source;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_registry_commit_source_sync (_data_->_tmp4_, _data_->_tmp5_, NULL, &_data_->_inner_error_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 473 "LocalBackend.c"
			goto __catch2_g_error;
		}
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp6_ = FALSE;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp6_ = _data_->set_default;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (_data_->_tmp6_) {
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp7_ = NULL;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp7_ = _data_->new_source;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_state_ = 2;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			maya_local_backend_set_source_default (_data_->self, _data_->_tmp7_, maya_local_backend_add_source_ready, _data_);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			return FALSE;
#line 492 "LocalBackend.c"
			_state_2:
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			maya_local_backend_set_source_default_finish (_data_->self, _data_->_res_);
#line 496 "LocalBackend.c"
		}
	}
	goto __finally2;
	__catch2_g_error:
	{
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_error_ = _data_->_inner_error_;
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_inner_error_ = NULL;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp8_ = NULL;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp8_ = _data_->_error_;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp9_ = NULL;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp9_ = _data_->_tmp8_->message;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("LocalBackend.vala:63: %s", _data_->_tmp9_);
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_error_free0 (_data_->_error_);
#line 518 "LocalBackend.c"
	}
	__finally2:
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_clear_error (&_data_->_inner_error_);
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		return FALSE;
#line 529 "LocalBackend.c"
	}
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (_data_->_state_ == 0) {
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 535 "LocalBackend.c"
	} else {
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 539 "LocalBackend.c"
	}
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_object_unref (_data_->_async_result);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return FALSE;
#line 545 "LocalBackend.c"
}


static void maya_local_backend_set_source_default_data_free (gpointer _data) {
	MayaLocalBackendSetSourceDefaultData* _data_;
	_data_ = _data;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->source);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->self);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_slice_free (MayaLocalBackendSetSourceDefaultData, _data_);
#line 558 "LocalBackend.c"
}


void maya_local_backend_set_source_default (MayaLocalBackend* self, ESource* source, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	MayaLocalBackendSetSourceDefaultData* _data_;
	MayaLocalBackend* _tmp0_ = NULL;
	ESource* _tmp1_ = NULL;
	ESource* _tmp2_ = NULL;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = g_slice_new0 (MayaLocalBackendSetSourceDefaultData);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, maya_local_backend_set_source_default);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, maya_local_backend_set_source_default_data_free);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->self = _tmp0_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp1_ = source;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (_data_->source);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->source = _tmp2_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_set_source_default_co (_data_);
#line 587 "LocalBackend.c"
}


void maya_local_backend_set_source_default_finish (MayaLocalBackend* self, GAsyncResult* _res_) {
	MayaLocalBackendSetSourceDefaultData* _data_;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 595 "LocalBackend.c"
}


static void maya_local_backend_set_source_default_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	MayaLocalBackendSetSourceDefaultData* _data_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_ = _user_data_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_source_object_ = source_object;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_data_->_res_ = _res_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_set_source_default_co (_data_);
#line 609 "LocalBackend.c"
}


static gboolean maya_local_backend_set_source_default_co (MayaLocalBackendSetSourceDefaultData* _data_) {
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	switch (_data_->_state_) {
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 0:
#line 618 "LocalBackend.c"
		goto _state_0;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 1:
#line 622 "LocalBackend.c"
		goto _state_1;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		case 2:
#line 626 "LocalBackend.c"
		goto _state_2;
		default:
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_assert_not_reached ();
#line 631 "LocalBackend.c"
	}
	_state_0:
	{
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp0_ = NULL;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp0_ = _data_->self->priv->registry;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (_data_->_tmp0_ == NULL) {
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_state_ = 1;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			e_source_registry_new (NULL, maya_local_backend_set_source_default_ready, _data_);
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			return FALSE;
#line 647 "LocalBackend.c"
			_state_1:
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp2_ = NULL;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp2_ = e_source_registry_new_finish (_data_->_res_, &_data_->_inner_error_);
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp1_ = _data_->_tmp2_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 657 "LocalBackend.c"
				goto __catch3_g_error;
			}
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp3_ = NULL;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp3_ = _data_->_tmp1_;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->_tmp1_ = NULL;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_g_object_unref0 (_data_->self->priv->registry);
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_data_->self->priv->registry = _data_->_tmp3_;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
			_g_object_unref0 (_data_->_tmp1_);
#line 672 "LocalBackend.c"
		}
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp4_ = NULL;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp4_ = _data_->self->priv->registry;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp5_ = NULL;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp5_ = _data_->source;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_object_set (_data_->_tmp4_, "default-calendar", _data_->_tmp5_, NULL);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp6_ = NULL;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp6_ = _data_->source;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_state_ = 2;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_write (_data_->_tmp6_, NULL, maya_local_backend_set_source_default_ready, _data_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		return FALSE;
#line 694 "LocalBackend.c"
		_state_2:
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		e_source_write_finish (_data_->_tmp6_, _data_->_res_, &_data_->_inner_error_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 700 "LocalBackend.c"
			goto __catch3_g_error;
		}
	}
	goto __finally3;
	__catch3_g_error:
	{
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_error_ = _data_->_inner_error_;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_inner_error_ = NULL;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp7_ = NULL;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp7_ = _data_->_error_;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp8_ = NULL;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_data_->_tmp8_ = _data_->_tmp7_->message;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("LocalBackend.vala:76: %s", _data_->_tmp8_);
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_g_error_free0 (_data_->_error_);
#line 723 "LocalBackend.c"
	}
	__finally3:
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_clear_error (&_data_->_inner_error_);
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		return FALSE;
#line 734 "LocalBackend.c"
	}
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (_data_->_state_ == 0) {
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 740 "LocalBackend.c"
	} else {
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 744 "LocalBackend.c"
	}
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_object_unref (_data_->_async_result);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return FALSE;
#line 750 "LocalBackend.c"
}


static void maya_local_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source) {
	MayaLocalBackend * self;
	ESource* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	ESourceCalendar* cal = NULL;
	ESource* _tmp2_ = NULL;
	ESourceExtension* _tmp3_ = NULL;
	ESourceCalendar* _tmp4_ = NULL;
	ESourceCalendar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) base;
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (name != NULL);
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (color != NULL);
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_return_if_fail (source != NULL);
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp0_ = source;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp1_ = name;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	e_source_set_display_name (_tmp0_, _tmp1_);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp2_ = source;
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp3_ = e_source_get_extension (_tmp2_, E_SOURCE_EXTENSION_CALENDAR);
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_calendar_get_type (), ESourceCalendar));
#line 82 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	cal = _tmp4_;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp5_ = cal;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp6_ = color;
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	e_source_selectable_set_color ((ESourceSelectable*) _tmp5_, _tmp6_);
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_tmp7_ = set_default;
#line 84 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	if (_tmp7_) {
#line 799 "LocalBackend.c"
		ESource* _tmp8_ = NULL;
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		_tmp8_ = source;
#line 85 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
		maya_local_backend_set_source_default (self, _tmp8_, NULL, NULL);
#line 805 "LocalBackend.c"
	}
#line 80 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (cal);
#line 809 "LocalBackend.c"
}


MayaLocalBackend* maya_local_backend_construct (GType object_type) {
	MayaLocalBackend * self = NULL;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = (MayaLocalBackend*) g_object_new (object_type, NULL);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return self;
#line 819 "LocalBackend.c"
}


MayaLocalBackend* maya_local_backend_new (void) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	return maya_local_backend_construct (MAYA_TYPE_LOCAL_BACKEND);
#line 826 "LocalBackend.c"
}


static void maya_local_backend_class_init (MayaLocalBackendClass * klass) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	g_type_class_add_private (klass, sizeof (MayaLocalBackendPrivate));
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_local_backend_finalize;
#line 837 "LocalBackend.c"
}


static void maya_local_backend_maya_backend_interface_init (MayaBackendIface * iface) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	maya_local_backend_maya_backend_parent_iface = g_type_interface_peek_parent (iface);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	iface->get_name = (gchar* (*)(MayaBackend*)) maya_local_backend_real_get_name;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	iface->get_uid = (gchar* (*)(MayaBackend*)) maya_local_backend_real_get_uid;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	iface->get_new_calendar_widget = (GeeCollection* (*)(MayaBackend*, ESource*)) maya_local_backend_real_get_new_calendar_widget;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	iface->add_new_calendar = (void (*)(MayaBackend*, const gchar*, const gchar*, gboolean, GeeCollection*)) maya_local_backend_real_add_new_calendar;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	iface->modify_calendar = (void (*)(MayaBackend*, const gchar*, const gchar*, gboolean, GeeCollection*, ESource*)) maya_local_backend_real_modify_calendar;
#line 854 "LocalBackend.c"
}


static void maya_local_backend_instance_init (MayaLocalBackend * self) {
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self->priv = MAYA_LOCAL_BACKEND_GET_PRIVATE (self);
#line 861 "LocalBackend.c"
}


static void maya_local_backend_finalize (GObject* obj) {
	MayaLocalBackend * self;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_LOCAL_BACKEND, MayaLocalBackend);
#line 24 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	_g_object_unref0 (self->priv->registry);
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/core/Backends/LocalBackend.vala"
	G_OBJECT_CLASS (maya_local_backend_parent_class)->finalize (obj);
#line 873 "LocalBackend.c"
}


GType maya_local_backend_get_type (void) {
	static volatile gsize maya_local_backend_type_id__volatile = 0;
	if (g_once_init_enter (&maya_local_backend_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaLocalBackendClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_local_backend_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaLocalBackend), 0, (GInstanceInitFunc) maya_local_backend_instance_init, NULL };
		static const GInterfaceInfo maya_backend_info = { (GInterfaceInitFunc) maya_local_backend_maya_backend_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType maya_local_backend_type_id;
		maya_local_backend_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaLocalBackend", &g_define_type_info, 0);
		g_type_add_interface_static (maya_local_backend_type_id, MAYA_TYPE_BACKEND, &maya_backend_info);
		g_once_init_leave (&maya_local_backend_type_id__volatile, maya_local_backend_type_id);
	}
	return maya_local_backend_type_id__volatile;
}



