/* CalDAVBackend.c generated by valac 0.34.4, the Vala compiler
 * generated from CalDAVBackend.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <gmodule.h>
#include <maya-calendar.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <libedataserver/libedataserver.h>
#include <gee.h>
#include <gtk/gtk.h>
#include <libsoup/soup.h>


#define MAYA_TYPE_CAL_DAV_BACKEND (maya_cal_dav_backend_get_type ())
#define MAYA_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackend))
#define MAYA_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))
#define MAYA_IS_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_IS_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_CAL_DAV_BACKEND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))

typedef struct _MayaCalDavBackend MayaCalDavBackend;
typedef struct _MayaCalDavBackendClass MayaCalDavBackendClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MayaCalDavBackendPrivate MayaCalDavBackendPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaCalDavBackend {
	GObject parent_instance;
	MayaCalDavBackendPrivate * priv;
};

struct _MayaCalDavBackendClass {
	GObjectClass parent_class;
};


extern MayaBackend* backend;
MayaBackend* backend = NULL;
static gpointer maya_cal_dav_backend_parent_class = NULL;
static MayaBackendIface* maya_cal_dav_backend_maya_backend_parent_iface = NULL;

MayaBackend* get_backend (GModule* module);
GType maya_cal_dav_backend_get_type (void) G_GNUC_CONST;
MayaCalDavBackend* maya_cal_dav_backend_new (void);
MayaCalDavBackend* maya_cal_dav_backend_construct (GType object_type);
enum  {
	MAYA_CAL_DAV_BACKEND_DUMMY_PROPERTY
};
static gchar* maya_cal_dav_backend_real_get_name (MayaBackend* base);
static gchar* maya_cal_dav_backend_real_get_uid (MayaBackend* base);
static GeeCollection* maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit);
static void _vala_SoupURI_free (SoupURI* self);
static void maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
static void maya_cal_dav_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source);


MayaBackend* get_backend (GModule* module) {
	MayaBackend* result = NULL;
	MayaCalDavBackend* b = NULL;
	MayaCalDavBackend* _tmp0_ = NULL;
#line 23 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_val_if_fail (module != NULL, NULL);
#line 24 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_debug ("CalDAVBackend.vala:24: Activating CalDAV Backend");
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = maya_cal_dav_backend_new ();
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	b = _tmp0_;
#line 26 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref ((GObject*) b);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = (MayaBackend*) b;
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 106 "CalDAVBackend.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return self ? g_object_ref (self) : NULL;
#line 113 "CalDAVBackend.c"
}


MayaCalDavBackend* maya_cal_dav_backend_construct (GType object_type) {
	MayaCalDavBackend * self = NULL;
	MayaBackend* _tmp0_ = NULL;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) g_object_new (object_type, NULL);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = _g_object_ref0 ((MayaBackend*) self);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (backend);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	backend = _tmp0_;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return self;
#line 130 "CalDAVBackend.c"
}


MayaCalDavBackend* maya_cal_dav_backend_new (void) {
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return maya_cal_dav_backend_construct (MAYA_TYPE_CAL_DAV_BACKEND);
#line 137 "CalDAVBackend.c"
}


static gchar* maya_cal_dav_backend_real_get_name (MayaBackend* base) {
	MayaCalDavBackend * self;
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = _ ("CalDAV");
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp1_;
#line 39 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 156 "CalDAVBackend.c"
}


static gchar* maya_cal_dav_backend_real_get_uid (MayaBackend* base) {
	MayaCalDavBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
#line 42 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = g_strdup ("caldav-stub");
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp0_;
#line 43 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 172 "CalDAVBackend.c"
}


static void _vala_SoupURI_free (SoupURI* self) {
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 179 "CalDAVBackend.c"
}


static GeeCollection* maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base, ESource* to_edit) {
	MayaCalDavBackend * self;
	GeeCollection* result = NULL;
	GeeLinkedList* collection = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	gboolean keep_copy = FALSE;
	ESource* _tmp1_ = NULL;
	GeeLinkedList* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	MayaPlacementWidget* _tmp10_ = NULL;
	MayaPlacementWidget* _tmp11_ = NULL;
	MayaPlacementWidget* url_label = NULL;
	MayaPlacementWidget* _tmp12_ = NULL;
	MayaPlacementWidget* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	MayaPlacementWidget* _tmp16_ = NULL;
	GtkWidget* _tmp17_ = NULL;
	MayaPlacementWidget* _tmp18_ = NULL;
	GtkWidget* _tmp19_ = NULL;
	MayaPlacementWidget* _tmp20_ = NULL;
	MayaPlacementWidget* _tmp21_ = NULL;
	MayaPlacementWidget* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	GeeLinkedList* _tmp24_ = NULL;
	MayaPlacementWidget* _tmp25_ = NULL;
	MayaPlacementWidget* url_entry = NULL;
	MayaPlacementWidget* _tmp26_ = NULL;
	MayaPlacementWidget* _tmp27_ = NULL;
	GtkEntry* _tmp28_ = NULL;
	MayaPlacementWidget* _tmp29_ = NULL;
	GtkWidget* _tmp30_ = NULL;
	MayaPlacementWidget* _tmp31_ = NULL;
	MayaPlacementWidget* _tmp32_ = NULL;
	MayaPlacementWidget* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	MayaPlacementWidget* _tmp35_ = NULL;
	GeeLinkedList* _tmp36_ = NULL;
	MayaPlacementWidget* _tmp37_ = NULL;
	ESource* _tmp38_ = NULL;
	MayaPlacementWidget* secure_checkbutton = NULL;
	MayaPlacementWidget* _tmp54_ = NULL;
	MayaPlacementWidget* _tmp55_ = NULL;
	const gchar* _tmp56_ = NULL;
	GtkCheckButton* _tmp57_ = NULL;
	MayaPlacementWidget* _tmp58_ = NULL;
	MayaPlacementWidget* _tmp59_ = NULL;
	MayaPlacementWidget* _tmp60_ = NULL;
	gchar* _tmp61_ = NULL;
	GeeLinkedList* _tmp62_ = NULL;
	MayaPlacementWidget* _tmp63_ = NULL;
	ESource* _tmp64_ = NULL;
	gchar* user = NULL;
	gchar* _tmp73_ = NULL;
	ESource* _tmp74_ = NULL;
	GeeLinkedList* _tmp85_ = NULL;
	const gchar* _tmp86_ = NULL;
	GeeLinkedList* _tmp87_ = NULL;
	GeeLinkedList* _tmp88_ = NULL;
	gchar* email = NULL;
	gchar* _tmp89_ = NULL;
	ESource* _tmp90_ = NULL;
	GeeLinkedList* _tmp101_ = NULL;
	const gchar* _tmp102_ = NULL;
	GeeLinkedList* _tmp103_ = NULL;
	GeeLinkedList* _tmp104_ = NULL;
	MayaPlacementWidget* server_checkbutton = NULL;
	MayaPlacementWidget* _tmp105_ = NULL;
	MayaPlacementWidget* _tmp106_ = NULL;
	const gchar* _tmp107_ = NULL;
	GtkCheckButton* _tmp108_ = NULL;
	MayaPlacementWidget* _tmp109_ = NULL;
	MayaPlacementWidget* _tmp110_ = NULL;
	MayaPlacementWidget* _tmp111_ = NULL;
	gchar* _tmp112_ = NULL;
	ESource* _tmp113_ = NULL;
	GeeLinkedList* _tmp122_ = NULL;
	MayaPlacementWidget* _tmp123_ = NULL;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = gee_linked_list_new (MAYA_TYPE_PLACEMENT_WIDGET, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 47 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	collection = _tmp0_;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	keep_copy = FALSE;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp1_ = to_edit;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp1_ != NULL) {
#line 273 "CalDAVBackend.c"
		ESourceOffline* source_offline = NULL;
		ESource* _tmp2_ = NULL;
		ESourceExtension* _tmp3_ = NULL;
		ESourceOffline* _tmp4_ = NULL;
		ESourceOffline* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_ = FALSE;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = to_edit;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = e_source_get_extension (_tmp2_, E_SOURCE_EXTENSION_OFFLINE);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_offline_get_type (), ESourceOffline));
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		source_offline = _tmp4_;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = source_offline;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = e_source_offline_get_stay_synchronized (_tmp5_);
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = _tmp6_;
#line 52 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		keep_copy = _tmp7_;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (source_offline);
#line 299 "CalDAVBackend.c"
	}
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp8_ = collection;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp9_ = keep_copy;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp10_ = maya_default_placement_widgets_get_keep_copy (0, _tmp9_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp11_ = _tmp10_;
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp11_);
#line 55 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp11_);
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp12_ = maya_placement_widget_new ();
#line 57 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	url_label = _tmp12_;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp13_ = url_label;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp14_ = _ ("URL:");
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp15_ = (GtkLabel*) gtk_label_new (_tmp14_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp15_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp13_->widget);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp13_->widget = (GtkWidget*) _tmp15_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp16_ = url_label;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp17_ = _tmp16_->widget;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, gtk_label_get_type (), GtkLabel), "expand", TRUE, NULL);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp18_ = url_label;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp19_ = _tmp18_->widget;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp20_ = url_label;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp20_->row = 1;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp21_ = url_label;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp21_->column = 0;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp22_ = url_label;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp23_ = g_strdup ("url_label");
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp22_->ref_name);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp22_->ref_name = _tmp23_;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp24_ = collection;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp25_ = url_label;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp24_, _tmp25_);
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp26_ = maya_placement_widget_new ();
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	url_entry = _tmp26_;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp27_ = url_entry;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp28_ = (GtkEntry*) gtk_entry_new ();
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp28_);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp27_->widget);
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp27_->widget = (GtkWidget*) _tmp28_;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp29_ = url_entry;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp30_ = _tmp29_->widget;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_entry_get_type (), GtkEntry), "http://");
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp31_ = url_entry;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp31_->row = 1;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_ = url_entry;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_->column = 1;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp33_ = url_entry;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp34_ = g_strdup ("url_entry");
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp33_->ref_name);
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp33_->ref_name = _tmp34_;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp35_ = url_entry;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp35_->needed = TRUE;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp36_ = collection;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp37_ = url_entry;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp36_, _tmp37_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp38_ = to_edit;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp38_ != NULL) {
#line 413 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp39_ = NULL;
		ESourceExtension* _tmp40_ = NULL;
		ESourceWebdav* _tmp41_ = NULL;
		SoupURI* uri = NULL;
		ESourceWebdav* _tmp42_ = NULL;
		SoupURI* _tmp43_ = NULL;
		MayaPlacementWidget* _tmp44_ = NULL;
		GtkWidget* _tmp45_ = NULL;
		SoupURI* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		SoupURI* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		SoupURI* _tmp50_ = NULL;
		const gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp39_ = to_edit;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp40_ = e_source_get_extension (_tmp39_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp41_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp40_, e_source_webdav_get_type (), ESourceWebdav));
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp41_;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp42_ = webdav;
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp43_ = e_source_webdav_dup_soup_uri (_tmp42_);
#line 76 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		uri = _tmp43_;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp44_ = url_entry;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp45_ = _tmp44_->widget;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp46_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp47_ = soup_uri_get_scheme (_tmp46_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp48_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp49_ = soup_uri_get_host (_tmp48_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp50_ = uri;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp51_ = soup_uri_get_path (_tmp50_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp52_ = g_strdup_printf ("%s://%s%s", _tmp47_, _tmp49_, _tmp51_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp53_ = _tmp52_;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp45_, gtk_entry_get_type (), GtkEntry), _tmp53_);
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_free0 (_tmp53_);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		__vala_SoupURI_free0 (uri);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 473 "CalDAVBackend.c"
	}
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp54_ = maya_placement_widget_new ();
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	secure_checkbutton = _tmp54_;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp55_ = secure_checkbutton;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp56_ = _ ("Use a secure connection");
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp57_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp56_);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp57_);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp55_->widget);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp55_->widget = (GtkWidget*) _tmp57_;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp58_ = secure_checkbutton;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp58_->row = 3;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp59_ = secure_checkbutton;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp59_->column = 1;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp60_ = secure_checkbutton;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp61_ = g_strdup ("secure_checkbutton");
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp60_->ref_name);
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp60_->ref_name = _tmp61_;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp62_ = collection;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp63_ = secure_checkbutton;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp62_, _tmp63_);
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp64_ = to_edit;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp64_ != NULL) {
#line 517 "CalDAVBackend.c"
		ESourceSecurity* security = NULL;
		ESource* _tmp65_ = NULL;
		ESourceExtension* _tmp66_ = NULL;
		ESourceSecurity* _tmp67_ = NULL;
		MayaPlacementWidget* _tmp68_ = NULL;
		GtkWidget* _tmp69_ = NULL;
		ESourceSecurity* _tmp70_ = NULL;
		gboolean _tmp71_ = FALSE;
		gboolean _tmp72_ = FALSE;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp65_ = to_edit;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp66_ = e_source_get_extension (_tmp65_, E_SOURCE_EXTENSION_SECURITY);
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp67_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp66_, e_source_security_get_type (), ESourceSecurity));
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		security = _tmp67_;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp68_ = secure_checkbutton;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp69_ = _tmp68_->widget;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp70_ = security;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp71_ = e_source_security_get_secure (_tmp70_);
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp72_ = _tmp71_;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp69_, gtk_check_button_get_type (), GtkCheckButton), _tmp72_);
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (security);
#line 549 "CalDAVBackend.c"
	}
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp73_ = g_strdup ("");
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	user = _tmp73_;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp74_ = to_edit;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp74_ != NULL) {
#line 559 "CalDAVBackend.c"
		ESourceAuthentication* auth = NULL;
		ESource* _tmp75_ = NULL;
		ESourceExtension* _tmp76_ = NULL;
		ESourceAuthentication* _tmp77_ = NULL;
		ESourceAuthentication* _tmp78_ = NULL;
		const gchar* _tmp79_ = NULL;
		const gchar* _tmp80_ = NULL;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp75_ = to_edit;
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp76_ = e_source_get_extension (_tmp75_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp77_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp76_, e_source_authentication_get_type (), ESourceAuthentication));
#line 103 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp77_;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp78_ = auth;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp79_ = e_source_authentication_get_user (_tmp78_);
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp80_ = _tmp79_;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp80_ != NULL) {
#line 583 "CalDAVBackend.c"
			ESourceAuthentication* _tmp81_ = NULL;
			const gchar* _tmp82_ = NULL;
			const gchar* _tmp83_ = NULL;
			gchar* _tmp84_ = NULL;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp81_ = auth;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp82_ = e_source_authentication_get_user (_tmp81_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp83_ = _tmp82_;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp84_ = g_strdup (_tmp83_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (user);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			user = _tmp84_;
#line 600 "CalDAVBackend.c"
		}
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 604 "CalDAVBackend.c"
	}
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp85_ = collection;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp86_ = user;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp87_ = maya_default_placement_widgets_get_user (4, TRUE, _tmp86_, NULL);
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp88_ = _tmp87_;
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp85_, (GeeCollection*) _tmp88_);
#line 107 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp88_);
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp89_ = g_strdup ("");
#line 109 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	email = _tmp89_;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp90_ = to_edit;
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp90_ != NULL) {
#line 626 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp91_ = NULL;
		ESourceExtension* _tmp92_ = NULL;
		ESourceWebdav* _tmp93_ = NULL;
		ESourceWebdav* _tmp94_ = NULL;
		const gchar* _tmp95_ = NULL;
		const gchar* _tmp96_ = NULL;
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp91_ = to_edit;
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp92_ = e_source_get_extension (_tmp91_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp93_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp92_, e_source_webdav_get_type (), ESourceWebdav));
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp93_;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp94_ = webdav;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp95_ = e_source_webdav_get_email_address (_tmp94_);
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp96_ = _tmp95_;
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp96_ != NULL) {
#line 650 "CalDAVBackend.c"
			ESourceWebdav* _tmp97_ = NULL;
			const gchar* _tmp98_ = NULL;
			const gchar* _tmp99_ = NULL;
			gchar* _tmp100_ = NULL;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp97_ = webdav;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp98_ = e_source_webdav_get_email_address (_tmp97_);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp99_ = _tmp98_;
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp100_ = g_strdup (_tmp99_);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (email);
#line 113 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			email = _tmp100_;
#line 667 "CalDAVBackend.c"
		}
#line 110 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 671 "CalDAVBackend.c"
	}
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp101_ = collection;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp102_ = email;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp103_ = maya_default_placement_widgets_get_email (5, FALSE, _tmp102_, NULL);
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp104_ = _tmp103_;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp101_, (GeeCollection*) _tmp104_);
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp104_);
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp105_ = maya_placement_widget_new ();
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	server_checkbutton = _tmp105_;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_ = server_checkbutton;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp107_ = _ ("Server handles meeting invitations");
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp108_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp107_);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp108_);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp106_->widget);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_->widget = (GtkWidget*) _tmp108_;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp109_ = server_checkbutton;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp109_->row = 6;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp110_ = server_checkbutton;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp110_->column = 1;
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp111_ = server_checkbutton;
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp112_ = g_strdup ("server_checkbutton");
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp111_->ref_name);
#line 122 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp111_->ref_name = _tmp112_;
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp113_ = to_edit;
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (_tmp113_ != NULL) {
#line 721 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESource* _tmp114_ = NULL;
		ESourceExtension* _tmp115_ = NULL;
		ESourceWebdav* _tmp116_ = NULL;
		MayaPlacementWidget* _tmp117_ = NULL;
		GtkWidget* _tmp118_ = NULL;
		ESourceWebdav* _tmp119_ = NULL;
		gboolean _tmp120_ = FALSE;
		gboolean _tmp121_ = FALSE;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp114_ = to_edit;
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp115_ = e_source_get_extension (_tmp114_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp116_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp115_, e_source_webdav_get_type (), ESourceWebdav));
#line 124 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp116_;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp117_ = server_checkbutton;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp118_ = _tmp117_->widget;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp119_ = webdav;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp120_ = e_source_webdav_get_calendar_auto_schedule (_tmp119_);
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp121_ = _tmp120_;
#line 125 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp118_, gtk_check_button_get_type (), GtkCheckButton), _tmp121_);
#line 123 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 753 "CalDAVBackend.c"
	}
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp122_ = collection;
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_tmp123_ = server_checkbutton;
#line 128 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp122_, _tmp123_);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	result = (GeeCollection*) collection;
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (server_checkbutton);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (email);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (user);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (secure_checkbutton);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_entry);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_label);
#line 129 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 777 "CalDAVBackend.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 784 "CalDAVBackend.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_list_free (self);
#line 793 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets) {
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 132 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 808 "CalDAVBackend.c"
	{
		ESource* new_source = NULL;
		ESource* _tmp0_ = NULL;
		ESource* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		ESource* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		ESourceCalendar* cal = NULL;
		ESource* _tmp6_ = NULL;
		ESourceExtension* _tmp7_ = NULL;
		ESourceCalendar* _tmp8_ = NULL;
		ESourceCalendar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		ESourceCalendar* _tmp11_ = NULL;
		ESourceWebdav* webdav = NULL;
		ESource* _tmp12_ = NULL;
		ESourceExtension* _tmp13_ = NULL;
		ESourceWebdav* _tmp14_ = NULL;
		ESourceAuthentication* auth = NULL;
		ESource* _tmp15_ = NULL;
		ESourceExtension* _tmp16_ = NULL;
		ESourceAuthentication* _tmp17_ = NULL;
		ESourceOffline* offline = NULL;
		ESource* _tmp18_ = NULL;
		ESourceExtension* _tmp19_ = NULL;
		ESourceOffline* _tmp20_ = NULL;
		MayaModelCalendarModel* calmodel = NULL;
		MayaModelCalendarModel* _tmp59_ = NULL;
		ESourceRegistry* registry = NULL;
		MayaModelCalendarModel* _tmp60_ = NULL;
		ESourceRegistry* _tmp61_ = NULL;
		ESourceRegistry* _tmp62_ = NULL;
		ESourceRegistry* _tmp63_ = NULL;
		GList* list = NULL;
		ESource* _tmp64_ = NULL;
		ESource* _tmp65_ = NULL;
		ESourceRegistry* _tmp66_ = NULL;
		GList* _tmp67_ = NULL;
		MayaModelCalendarModel* _tmp68_ = NULL;
		ESource* _tmp69_ = NULL;
		gboolean _tmp70_ = FALSE;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = e_source_new (NULL, NULL, &_inner_error_);
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		new_source = _tmp0_;
#line 134 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 857 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = new_source;
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = name;
#line 135 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (_tmp1_, _tmp2_);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = new_source;
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = maya_backend_get_uid ((MayaBackend*) self);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = _tmp4_;
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_parent (_tmp3_, _tmp5_);
#line 136 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_free0 (_tmp5_);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = new_source;
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = e_source_get_extension (_tmp6_, E_SOURCE_EXTENSION_CALENDAR);
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, e_source_calendar_get_type (), ESourceCalendar));
#line 137 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp8_;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp9_ = cal;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp10_ = color;
#line 138 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp9_, _tmp10_);
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp11_ = cal;
#line 139 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_backend_set_backend_name ((ESourceBackend*) _tmp11_, "caldav");
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp12_ = new_source;
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp13_ = e_source_get_extension (_tmp12_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp14_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, e_source_webdav_get_type (), ESourceWebdav));
#line 140 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp14_;
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp15_ = new_source;
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp16_ = e_source_get_extension (_tmp15_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, e_source_authentication_get_type (), ESourceAuthentication));
#line 141 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp17_;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp18_ = new_source;
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp19_ = e_source_get_extension (_tmp18_, E_SOURCE_EXTENSION_OFFLINE);
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp20_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, e_source_offline_get_type (), ESourceOffline));
#line 142 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp20_;
#line 918 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeCollection* _tmp21_ = NULL;
			GeeIterator* _tmp22_ = NULL;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp21_ = widgets;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp22_ = gee_iterable_iterator ((GeeIterable*) _tmp21_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp22_;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 931 "CalDAVBackend.c"
				GeeIterator* _tmp23_ = NULL;
				gboolean _tmp24_ = FALSE;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp25_ = NULL;
				gpointer _tmp26_ = NULL;
				MayaPlacementWidget* _tmp27_ = NULL;
				const gchar* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				GQuark _tmp31_ = 0U;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label0 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label1 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label2 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label3 = 0;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp30_label4 = 0;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp23_ = _widget_it;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp24_ = gee_iterator_next (_tmp23_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (!_tmp24_) {
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 959 "CalDAVBackend.c"
				}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp25_ = _widget_it;
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp26_ = gee_iterator_get (_tmp25_);
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp26_;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp27_ = widget;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp28_ = _tmp27_->ref_name;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp29_ = _tmp28_;
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp31_ = (NULL == _tmp29_) ? 0 : g_quark_from_string (_tmp29_);
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp31_ == ((0 != _tmp30_label0) ? _tmp30_label0 : (_tmp30_label0 = g_quark_from_static_string ("url_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 979 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp32_ = NULL;
							MayaPlacementWidget* _tmp33_ = NULL;
							GtkWidget* _tmp34_ = NULL;
							const gchar* _tmp35_ = NULL;
							const gchar* _tmp36_ = NULL;
							SoupURI* _tmp37_ = NULL;
							SoupURI* _tmp38_ = NULL;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = webdav;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = widget;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = _tmp33_->widget;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp34_, gtk_entry_get_type (), GtkEntry));
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = _tmp35_;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = soup_uri_new (_tmp36_);
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = _tmp37_;
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp32_, "soup-uri", _tmp38_, NULL);
#line 146 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp38_);
#line 147 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1009 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label1) ? _tmp30_label1 : (_tmp30_label1 = g_quark_from_static_string ("user_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1015 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp39_ = NULL;
							MayaPlacementWidget* _tmp40_ = NULL;
							GtkWidget* _tmp41_ = NULL;
							const gchar* _tmp42_ = NULL;
							const gchar* _tmp43_ = NULL;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = auth;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = widget;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = _tmp40_->widget;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_entry_get_type (), GtkEntry));
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = _tmp42_;
#line 149 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp39_, _tmp43_);
#line 150 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1037 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label2) ? _tmp30_label2 : (_tmp30_label2 = g_quark_from_static_string ("email_entry")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1043 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp44_ = NULL;
							MayaPlacementWidget* _tmp45_ = NULL;
							GtkWidget* _tmp46_ = NULL;
							const gchar* _tmp47_ = NULL;
							const gchar* _tmp48_ = NULL;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = webdav;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp45_ = widget;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp46_ = _tmp45_->widget;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp47_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_entry_get_type (), GtkEntry));
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp48_ = _tmp47_;
#line 152 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp44_, _tmp48_);
#line 153 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1065 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label3) ? _tmp30_label3 : (_tmp30_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1071 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp49_ = NULL;
							MayaPlacementWidget* _tmp50_ = NULL;
							GtkWidget* _tmp51_ = NULL;
							gboolean _tmp52_ = FALSE;
							gboolean _tmp53_ = FALSE;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp49_ = webdav;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp50_ = widget;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp51_ = _tmp50_->widget;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp52_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_check_button_get_type (), GtkCheckButton));
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp53_ = _tmp52_;
#line 155 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp49_, _tmp53_);
#line 156 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1093 "CalDAVBackend.c"
						}
					}
				} else if (_tmp31_ == ((0 != _tmp30_label4) ? _tmp30_label4 : (_tmp30_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 144 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1099 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp54_ = NULL;
							MayaPlacementWidget* _tmp55_ = NULL;
							GtkWidget* _tmp56_ = NULL;
							gboolean _tmp57_ = FALSE;
							gboolean _tmp58_ = FALSE;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp54_ = offline;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp55_ = widget;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp56_ = _tmp55_->widget;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp57_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp56_, gtk_check_button_get_type (), GtkCheckButton));
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp58_ = _tmp57_;
#line 158 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp54_, _tmp58_);
#line 159 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1121 "CalDAVBackend.c"
						}
					}
				}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1127 "CalDAVBackend.c"
			}
#line 143 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1131 "CalDAVBackend.c"
		}
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp59_ = maya_model_calendar_model_get_default ();
#line 163 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		calmodel = _tmp59_;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp60_ = calmodel;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp61_ = maya_model_calendar_model_get_registry (_tmp60_);
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp62_ = _tmp61_;
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp63_ = _g_object_ref0 (_tmp62_);
#line 164 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		registry = _tmp63_;
#line 165 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		list = NULL;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp64_ = new_source;
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp65_ = _g_object_ref0 (_tmp64_);
#line 166 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		list = g_list_append (list, _tmp65_);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp66_ = registry;
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp67_ = list;
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_registry_create_sources_sync (_tmp66_, _tmp67_, NULL, &_inner_error_);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			__g_list_free__g_object_unref0_0 (list);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (calmodel);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (offline);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (auth);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (webdav);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (cal);
#line 167 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (new_source);
#line 1179 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp68_ = calmodel;
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp69_ = new_source;
#line 168 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		maya_model_calendar_model_add_source (_tmp68_, _tmp69_);
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp70_ = set_default;
#line 169 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp70_) {
#line 1192 "CalDAVBackend.c"
			ESourceRegistry* _tmp71_ = NULL;
			ESource* _tmp72_ = NULL;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp71_ = registry;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp72_ = new_source;
#line 170 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp71_, "default-calendar", _tmp72_, NULL);
#line 1201 "CalDAVBackend.c"
		}
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		__g_list_free__g_object_unref0_0 (list);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (registry);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (calmodel);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (new_source);
#line 1219 "CalDAVBackend.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp73_ = NULL;
		const gchar* _tmp74_ = NULL;
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp73_ = _error_;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp74_ = _tmp73_->message;
#line 174 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:174: %s", _tmp74_);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1239 "CalDAVBackend.c"
	}
	__finally0:
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 133 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1250 "CalDAVBackend.c"
	}
}


static void maya_cal_dav_backend_real_modify_calendar (MayaBackend* base, const gchar* name, const gchar* color, gboolean set_default, GeeCollection* widgets, ESource* source) {
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 178 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (source != NULL);
#line 1268 "CalDAVBackend.c"
	{
		ESource* _tmp0_ = NULL;
		const gchar* _tmp1_ = NULL;
		ESourceCalendar* cal = NULL;
		ESource* _tmp2_ = NULL;
		ESourceExtension* _tmp3_ = NULL;
		ESourceCalendar* _tmp4_ = NULL;
		ESourceCalendar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		ESourceWebdav* webdav = NULL;
		ESource* _tmp7_ = NULL;
		ESourceExtension* _tmp8_ = NULL;
		ESourceWebdav* _tmp9_ = NULL;
		ESourceAuthentication* auth = NULL;
		ESource* _tmp10_ = NULL;
		ESourceExtension* _tmp11_ = NULL;
		ESourceAuthentication* _tmp12_ = NULL;
		ESourceOffline* offline = NULL;
		ESource* _tmp13_ = NULL;
		ESourceExtension* _tmp14_ = NULL;
		ESourceOffline* _tmp15_ = NULL;
		ESource* _tmp54_ = NULL;
		gboolean _tmp55_ = FALSE;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = source;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = name;
#line 180 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (_tmp0_, _tmp1_);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = source;
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = e_source_get_extension (_tmp2_, E_SOURCE_EXTENSION_CALENDAR);
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_calendar_get_type (), ESourceCalendar));
#line 181 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp4_;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = cal;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = color;
#line 182 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp5_, _tmp6_);
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = source;
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = e_source_get_extension (_tmp7_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, e_source_webdav_get_type (), ESourceWebdav));
#line 183 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp9_;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp10_ = source;
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp11_ = e_source_get_extension (_tmp10_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_authentication_get_type (), ESourceAuthentication));
#line 184 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp12_;
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp13_ = source;
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp14_ = e_source_get_extension (_tmp13_, E_SOURCE_EXTENSION_OFFLINE);
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp15_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, e_source_offline_get_type (), ESourceOffline));
#line 185 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp15_;
#line 1336 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeCollection* _tmp16_ = NULL;
			GeeIterator* _tmp17_ = NULL;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp16_ = widgets;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp17_ = gee_iterable_iterator ((GeeIterable*) _tmp16_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp17_;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 1349 "CalDAVBackend.c"
				GeeIterator* _tmp18_ = NULL;
				gboolean _tmp19_ = FALSE;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp20_ = NULL;
				gpointer _tmp21_ = NULL;
				MayaPlacementWidget* _tmp22_ = NULL;
				const gchar* _tmp23_ = NULL;
				const gchar* _tmp24_ = NULL;
				GQuark _tmp26_ = 0U;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label0 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label1 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label2 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label3 = 0;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp25_label4 = 0;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp18_ = _widget_it;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp19_ = gee_iterator_next (_tmp18_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (!_tmp19_) {
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 1377 "CalDAVBackend.c"
				}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp20_ = _widget_it;
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp21_ = gee_iterator_get (_tmp20_);
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp21_;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp22_ = widget;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp23_ = _tmp22_->ref_name;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp24_ = _tmp23_;
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_tmp26_ = (NULL == _tmp24_) ? 0 : g_quark_from_string (_tmp24_);
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp26_ == ((0 != _tmp25_label0) ? _tmp25_label0 : (_tmp25_label0 = g_quark_from_static_string ("url_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1397 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp27_ = NULL;
							MayaPlacementWidget* _tmp28_ = NULL;
							GtkWidget* _tmp29_ = NULL;
							const gchar* _tmp30_ = NULL;
							const gchar* _tmp31_ = NULL;
							SoupURI* _tmp32_ = NULL;
							SoupURI* _tmp33_ = NULL;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp27_ = webdav;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp28_ = widget;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp29_ = _tmp28_->widget;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp30_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp29_, gtk_entry_get_type (), GtkEntry));
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp31_ = _tmp30_;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = soup_uri_new (_tmp31_);
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = _tmp32_;
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp27_, "soup-uri", _tmp33_, NULL);
#line 189 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp33_);
#line 190 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1427 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label1) ? _tmp25_label1 : (_tmp25_label1 = g_quark_from_static_string ("user_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1433 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp34_ = NULL;
							MayaPlacementWidget* _tmp35_ = NULL;
							GtkWidget* _tmp36_ = NULL;
							const gchar* _tmp37_ = NULL;
							const gchar* _tmp38_ = NULL;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = auth;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = _tmp35_->widget;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_entry_get_type (), GtkEntry));
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = _tmp37_;
#line 192 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp34_, _tmp38_);
#line 193 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1455 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label2) ? _tmp25_label2 : (_tmp25_label2 = g_quark_from_static_string ("email_entry")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1461 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp39_ = NULL;
							MayaPlacementWidget* _tmp40_ = NULL;
							GtkWidget* _tmp41_ = NULL;
							const gchar* _tmp42_ = NULL;
							const gchar* _tmp43_ = NULL;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = webdav;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = widget;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = _tmp40_->widget;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_entry_get_type (), GtkEntry));
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = _tmp42_;
#line 195 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp39_, _tmp43_);
#line 196 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1483 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label3) ? _tmp25_label3 : (_tmp25_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1489 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp44_ = NULL;
							MayaPlacementWidget* _tmp45_ = NULL;
							GtkWidget* _tmp46_ = NULL;
							gboolean _tmp47_ = FALSE;
							gboolean _tmp48_ = FALSE;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = webdav;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp45_ = widget;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp46_ = _tmp45_->widget;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp47_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_check_button_get_type (), GtkCheckButton));
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp48_ = _tmp47_;
#line 198 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp44_, _tmp48_);
#line 199 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1511 "CalDAVBackend.c"
						}
					}
				} else if (_tmp26_ == ((0 != _tmp25_label4) ? _tmp25_label4 : (_tmp25_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 187 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1517 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp49_ = NULL;
							MayaPlacementWidget* _tmp50_ = NULL;
							GtkWidget* _tmp51_ = NULL;
							gboolean _tmp52_ = FALSE;
							gboolean _tmp53_ = FALSE;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp49_ = offline;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp50_ = widget;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp51_ = _tmp50_->widget;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp52_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_check_button_get_type (), GtkCheckButton));
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							_tmp53_ = _tmp52_;
#line 201 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp49_, _tmp53_);
#line 202 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1539 "CalDAVBackend.c"
						}
					}
				}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1545 "CalDAVBackend.c"
			}
#line 186 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1549 "CalDAVBackend.c"
		}
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp54_ = source;
#line 206 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		e_source_write (_tmp54_, NULL, NULL, NULL);
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp55_ = set_default;
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp55_) {
#line 1559 "CalDAVBackend.c"
			ESourceRegistry* registry = NULL;
			ESourceRegistry* _tmp56_ = NULL;
			ESourceRegistry* _tmp57_ = NULL;
			ESource* _tmp58_ = NULL;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp56_ = e_source_registry_new_sync (NULL, &_inner_error_);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			registry = _tmp56_;
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (offline);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (auth);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (webdav);
#line 208 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (cal);
#line 1578 "CalDAVBackend.c"
				goto __catch1_g_error;
			}
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp57_ = registry;
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_tmp58_ = source;
#line 209 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp57_, "default-calendar", _tmp58_, NULL);
#line 207 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 1589 "CalDAVBackend.c"
		}
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 1599 "CalDAVBackend.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp59_ = NULL;
		const gchar* _tmp60_ = NULL;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp59_ = _error_;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_tmp60_ = _tmp59_->message;
#line 213 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:213: %s", _tmp60_);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1619 "CalDAVBackend.c"
	}
	__finally1:
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 179 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1630 "CalDAVBackend.c"
	}
}


static void maya_cal_dav_backend_class_init (MayaCalDavBackendClass * klass) {
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_parent_class = g_type_class_peek_parent (klass);
#line 1638 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_maya_backend_interface_init (MayaBackendIface * iface) {
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_maya_backend_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_name = (gchar* (*)(MayaBackend*)) maya_cal_dav_backend_real_get_name;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_uid = (gchar* (*)(MayaBackend*)) maya_cal_dav_backend_real_get_uid;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_new_calendar_widget = (GeeCollection* (*)(MayaBackend*, ESource*)) maya_cal_dav_backend_real_get_new_calendar_widget;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->add_new_calendar = (void (*)(MayaBackend*, const gchar*, const gchar*, gboolean, GeeCollection*)) maya_cal_dav_backend_real_add_new_calendar;
#line 32 "/builddir/build/BUILD/maya-calendar-0.4.0.2/plugins/CalDAV/CalDAVBackend.vala"
	iface->modify_calendar = (void (*)(MayaBackend*, const gchar*, const gchar*, gboolean, GeeCollection*, ESource*)) maya_cal_dav_backend_real_modify_calendar;
#line 1655 "CalDAVBackend.c"
}


static void maya_cal_dav_backend_instance_init (MayaCalDavBackend * self) {
}


GType maya_cal_dav_backend_get_type (void) {
	static volatile gsize maya_cal_dav_backend_type_id__volatile = 0;
	if (g_once_init_enter (&maya_cal_dav_backend_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaCalDavBackendClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_cal_dav_backend_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaCalDavBackend), 0, (GInstanceInitFunc) maya_cal_dav_backend_instance_init, NULL };
		static const GInterfaceInfo maya_backend_info = { (GInterfaceInitFunc) maya_cal_dav_backend_maya_backend_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType maya_cal_dav_backend_type_id;
		maya_cal_dav_backend_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaCalDavBackend", &g_define_type_info, 0);
		g_type_add_interface_static (maya_cal_dav_backend_type_id, MAYA_TYPE_BACKEND, &maya_backend_info);
		g_once_init_leave (&maya_cal_dav_backend_type_id__volatile, maya_cal_dav_backend_type_id);
	}
	return maya_cal_dav_backend_type_id__volatile;
}



