/* ContactImage.c generated by valac 0.34.4, the Vala compiler
 * generated from ContactImage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */
/* 
 * This widget auto-updates his image when the contact changes his avatar.
 * It draws circle icons following the current trend.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <folks/folks.h>
#include <gio/gio.h>
#include <cairo.h>
#include <float.h>
#include <math.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <granite.h>
#include <gdk/gdk.h>


#define MAYA_TYPE_CONTACT_IMAGE (maya_contact_image_get_type ())
#define MAYA_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImage))
#define MAYA_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))
#define MAYA_IS_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_IS_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_CONTACT_IMAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))

typedef struct _MayaContactImage MayaContactImage;
typedef struct _MayaContactImageClass MayaContactImageClass;
typedef struct _MayaContactImagePrivate MayaContactImagePrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block5Data Block5Data;
typedef struct _Block6Data Block6Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaContactImage {
	GtkStack parent_instance;
	MayaContactImagePrivate * priv;
};

struct _MayaContactImageClass {
	GtkStackClass parent_class;
};

struct _MayaContactImagePrivate {
	GtkIconSize icon_size;
	GtkImage* current_image;
	gboolean default_avatar;
};

struct _Block5Data {
	int _ref_count_;
	MayaContactImage* self;
	FolksIndividual* individual;
};

struct _Block6Data {
	int _ref_count_;
	MayaContactImage* self;
	GLoadableIcon* icon;
};


static gpointer maya_contact_image_parent_class = NULL;

GType maya_contact_image_get_type (void) G_GNUC_CONST;
#define MAYA_CONTACT_IMAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_TYPE_CONTACT_IMAGE, MayaContactImagePrivate))
enum  {
	MAYA_CONTACT_IMAGE_DUMMY_PROPERTY
};
MayaContactImage* maya_contact_image_new (GtkIconSize icon_size, FolksIndividual* individual);
MayaContactImage* maya_contact_image_construct (GType object_type, GtkIconSize icon_size, FolksIndividual* individual);
static void maya_contact_image_show_default_avatar (MayaContactImage* self);
void maya_contact_image_add_contact (MayaContactImage* self, FolksIndividual* individual);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self, GLoadableIcon* icon);
static void __lambda79_ (Block5Data* _data5_);
static void ___lambda79__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static gboolean __lambda78_ (Block6Data* _data6_, cairo_t* cr);
static gboolean ___lambda78__gtk_widget_draw (GtkWidget* _sender, cairo_t* cr, gpointer self);
static void maya_contact_image_show_avatar_image (MayaContactImage* self, GtkImage* image);
static gboolean __lambda77_ (MayaContactImage* self, cairo_t* cr);
static gboolean ___lambda77__gtk_widget_draw (GtkWidget* _sender, cairo_t* cr, gpointer self);
static void maya_contact_image_finalize (GObject* obj);


MayaContactImage* maya_contact_image_construct (GType object_type, GtkIconSize icon_size, FolksIndividual* individual) {
	MayaContactImage * self = NULL;
	GtkIconSize _tmp0_ = 0;
	GtkImage* force_size_image = NULL;
	GtkIconSize _tmp1_ = 0;
	GtkImage* _tmp2_ = NULL;
	GtkImage* _tmp3_ = NULL;
	FolksIndividual* _tmp4_ = NULL;
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self = (MayaContactImage*) g_object_new (object_type, NULL);
#line 30 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp0_ = icon_size;
#line 30 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv->icon_size = _tmp0_;
#line 31 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_stack_set_transition_type ((GtkStack*) self, GTK_STACK_TRANSITION_TYPE_CROSSFADE);
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp1_ = icon_size;
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp2_ = (GtkImage*) gtk_image_new_from_icon_name ("avatar-default", _tmp1_);
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp2_);
#line 33 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	force_size_image = _tmp2_;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp3_ = force_size_image;
#line 34 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp3_);
#line 35 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_default_avatar (self);
#line 37 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp4_ = individual;
#line 37 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp4_ != NULL) {
#line 145 "ContactImage.c"
		FolksIndividual* _tmp5_ = NULL;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp5_ = individual;
#line 38 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		maya_contact_image_add_contact (self, _tmp5_);
#line 151 "ContactImage.c"
	}
#line 41 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (force_size_image);
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return self;
#line 159 "ContactImage.c"
}


MayaContactImage* maya_contact_image_new (GtkIconSize icon_size, FolksIndividual* individual) {
#line 29 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return maya_contact_image_construct (MAYA_TYPE_CONTACT_IMAGE, icon_size, individual);
#line 166 "ContactImage.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return self ? g_object_ref (self) : NULL;
#line 173 "ContactImage.c"
}


static Block5Data* block5_data_ref (Block5Data* _data5_) {
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return _data5_;
#line 182 "ContactImage.c"
}


static void block5_data_unref (void * _userdata_) {
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 191 "ContactImage.c"
		MayaContactImage* self;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		self = _data5_->self;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data5_->individual);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_slice_free (Block5Data, _data5_);
#line 201 "ContactImage.c"
	}
}


static void __lambda79_ (Block5Data* _data5_) {
	MayaContactImage* self;
	gboolean _tmp0_ = FALSE;
	FolksIndividual* _tmp1_ = NULL;
	GLoadableIcon* _tmp2_ = NULL;
	GLoadableIcon* _tmp3_ = NULL;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self = _data5_->self;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp1_ = _data5_->individual;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp2_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _tmp1_);
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp3_ = _tmp2_;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp3_ != NULL) {
#line 222 "ContactImage.c"
		gboolean _tmp4_ = FALSE;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp4_ = self->priv->default_avatar;
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp0_ = _tmp4_ == TRUE;
#line 228 "ContactImage.c"
	} else {
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp0_ = FALSE;
#line 232 "ContactImage.c"
	}
#line 50 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp0_) {
#line 236 "ContactImage.c"
		FolksIndividual* _tmp5_ = NULL;
		GLoadableIcon* _tmp6_ = NULL;
		GLoadableIcon* _tmp7_ = NULL;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp5_ = _data5_->individual;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp6_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _tmp5_);
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp7_ = _tmp6_;
#line 51 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp7_);
#line 248 "ContactImage.c"
	} else {
#line 53 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_default_avatar (self);
#line 252 "ContactImage.c"
	}
}


static void ___lambda79__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	__lambda79_ (self);
#line 260 "ContactImage.c"
}


void maya_contact_image_add_contact (MayaContactImage* self, FolksIndividual* individual) {
	Block5Data* _data5_;
	FolksIndividual* _tmp0_ = NULL;
	FolksIndividual* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	FolksIndividual* _tmp3_ = NULL;
	GLoadableIcon* _tmp4_ = NULL;
	GLoadableIcon* _tmp5_ = NULL;
	FolksIndividual* _tmp10_ = NULL;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (individual != NULL);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data5_->_ref_count_ = 1;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data5_->self = g_object_ref (self);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp0_ = individual;
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data5_->individual);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data5_->individual = _tmp1_;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp3_ = _data5_->individual;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp4_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _tmp3_);
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp5_ = _tmp4_;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp5_ != NULL) {
#line 299 "ContactImage.c"
		gboolean _tmp6_ = FALSE;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp6_ = self->priv->default_avatar;
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp2_ = _tmp6_ == TRUE;
#line 305 "ContactImage.c"
	} else {
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp2_ = FALSE;
#line 309 "ContactImage.c"
	}
#line 45 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp2_) {
#line 313 "ContactImage.c"
		FolksIndividual* _tmp7_ = NULL;
		GLoadableIcon* _tmp8_ = NULL;
		GLoadableIcon* _tmp9_ = NULL;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp7_ = _data5_->individual;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp8_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _tmp7_);
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp9_ = _tmp8_;
#line 46 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp9_);
#line 325 "ContactImage.c"
	}
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp10_ = _data5_->individual;
#line 49 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GObject*) _tmp10_, "notify::avatar", (GCallback) ___lambda79__g_object_notify, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	block5_data_unref (_data5_);
#line 44 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data5_ = NULL;
#line 335 "ContactImage.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return _data6_;
#line 344 "ContactImage.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 353 "ContactImage.c"
		MayaContactImage* self;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		self = _data6_->self;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data6_->icon);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_slice_free (Block6Data, _data6_);
#line 363 "ContactImage.c"
	}
}


static gboolean __lambda78_ (Block6Data* _data6_, cairo_t* cr) {
	MayaContactImage* self;
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self = _data6_->self;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 376 "ContactImage.c"
	{
		gint width = 0;
		gint _tmp0_ = 0;
		gint height = 0;
		gint _tmp1_ = 0;
		gint size = 0;
		gint _tmp2_ = 0;
		gint _tmp3_ = 0;
		gdouble _tmp4_ = 0.0;
		GInputStream* stream = NULL;
		GLoadableIcon* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		GInputStream* _tmp7_ = NULL;
		GdkPixbuf* img_pixbuf = NULL;
		GInputStream* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		GdkPixbuf* _tmp11_ = NULL;
		cairo_t* _tmp12_ = NULL;
		gint x = 0;
		gint _tmp13_ = 0;
		gint _tmp14_ = 0;
		gint y = 0;
		gint _tmp15_ = 0;
		gint _tmp16_ = 0;
		cairo_t* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
		gint _tmp21_ = 0;
		gint _tmp22_ = 0;
		cairo_t* _tmp23_ = NULL;
		GdkPixbuf* _tmp24_ = NULL;
		gint _tmp25_ = 0;
		gint _tmp26_ = 0;
		cairo_t* _tmp27_ = NULL;
		cairo_t* _tmp28_ = NULL;
		cairo_t* _tmp29_ = NULL;
		cairo_t* _tmp30_ = NULL;
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp0_ = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 62 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		width = _tmp0_;
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp1_ = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 63 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		height = _tmp1_;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp2_ = width;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp3_ = height;
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp4_ = MIN ((gdouble) _tmp2_, (gdouble) _tmp3_);
#line 64 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		size = (gint) _tmp4_;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp5_ = _data6_->icon;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp6_ = size;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp7_ = g_loadable_icon_load (_tmp5_, _tmp6_, NULL, NULL, &_inner_error_);
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		stream = _tmp7_;
#line 65 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 442 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp8_ = stream;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp9_ = size;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp10_ = size;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp11_ = gdk_pixbuf_new_from_stream_at_scale (_tmp8_, _tmp9_, _tmp10_, TRUE, NULL, &_inner_error_);
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp11_;
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 66 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
			_g_object_unref0 (stream);
#line 459 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp12_ = cr;
#line 67 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_operator (_tmp12_, CAIRO_OPERATOR_OVER);
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp13_ = width;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp14_ = size;
#line 68 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		x = (_tmp13_ - _tmp14_) / 2;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp15_ = height;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp16_ = size;
#line 69 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		y = (_tmp15_ - _tmp16_) / 2;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp17_ = cr;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp18_ = x;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp19_ = y;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp20_ = size;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp21_ = size;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp22_ = size;
#line 70 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (_tmp17_, (gdouble) _tmp18_, (gdouble) _tmp19_, (gdouble) _tmp20_, (gdouble) _tmp21_, (gdouble) (_tmp22_ / 2));
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp23_ = cr;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp24_ = img_pixbuf;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp25_ = x;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp26_ = y;
#line 71 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (_tmp23_, _tmp24_, (gdouble) _tmp25_, (gdouble) _tmp26_);
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp27_ = cr;
#line 72 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (_tmp27_);
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp28_ = cr;
#line 73 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_line_width (_tmp28_, (gdouble) 0);
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp29_ = cr;
#line 74 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (_tmp29_, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp30_ = cr;
#line 75 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_stroke (_tmp30_);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (stream);
#line 522 "ContactImage.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		e = _inner_error_;
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_inner_error_ = NULL;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp31_ = e;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp32_ = _tmp31_->message;
#line 77 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:77: %s", _tmp32_);
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 78 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		return result;
#line 546 "ContactImage.c"
	}
	__finally2:
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error_);
#line 61 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		return FALSE;
#line 557 "ContactImage.c"
	}
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 81 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return result;
#line 563 "ContactImage.c"
}


static gboolean ___lambda78__gtk_widget_draw (GtkWidget* _sender, cairo_t* cr, gpointer self) {
	gboolean result;
	result = __lambda78_ (self, cr);
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return result;
#line 572 "ContactImage.c"
}


static void maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self, GLoadableIcon* icon) {
	Block6Data* _data6_;
	GLoadableIcon* _tmp0_ = NULL;
	GLoadableIcon* _tmp1_ = NULL;
	GtkImage* image = NULL;
	GtkImage* _tmp2_ = NULL;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (icon != NULL);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data6_->_ref_count_ = 1;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data6_->self = g_object_ref (self);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp0_ = icon;
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data6_->icon);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data6_->icon = _tmp1_;
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp2_ = (GtkImage*) gtk_image_new ();
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp2_);
#line 59 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	image = _tmp2_;
#line 60 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GtkWidget*) image, "draw", (GCallback) ___lambda78__gtk_widget_draw, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 83 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	block6_data_unref (_data6_);
#line 58 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_data6_ = NULL;
#line 616 "ContactImage.c"
}


static gboolean __lambda77_ (MayaContactImage* self, cairo_t* cr) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 625 "ContactImage.c"
	{
		gint width = 0;
		gint _tmp0_ = 0;
		gint height = 0;
		gint _tmp1_ = 0;
		gint size = 0;
		gint _tmp2_ = 0;
		gint _tmp3_ = 0;
		gdouble _tmp4_ = 0.0;
		GdkPixbuf* img_pixbuf = NULL;
		GtkIconTheme* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		GdkPixbuf* _tmp7_ = NULL;
		cairo_t* _tmp8_ = NULL;
		gint x = 0;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		gint y = 0;
		gint _tmp11_ = 0;
		gint _tmp12_ = 0;
		cairo_t* _tmp13_ = NULL;
		gint _tmp14_ = 0;
		gint _tmp15_ = 0;
		gint _tmp16_ = 0;
		gint _tmp17_ = 0;
		gint _tmp18_ = 0;
		cairo_t* _tmp19_ = NULL;
		GdkPixbuf* _tmp20_ = NULL;
		gint _tmp21_ = 0;
		gint _tmp22_ = 0;
		cairo_t* _tmp23_ = NULL;
		cairo_t* _tmp24_ = NULL;
		cairo_t* _tmp25_ = NULL;
		cairo_t* _tmp26_ = NULL;
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp0_ = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 90 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		width = _tmp0_;
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp1_ = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 91 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		height = _tmp1_;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp2_ = width;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp3_ = height;
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp4_ = MIN ((gdouble) _tmp2_, (gdouble) _tmp3_);
#line 92 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		size = (gint) _tmp4_;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp5_ = gtk_icon_theme_get_default ();
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp6_ = size;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp7_ = gtk_icon_theme_load_icon (_tmp5_, "avatar-default", _tmp6_, GTK_ICON_LOOKUP_GENERIC_FALLBACK, &_inner_error_);
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp7_;
#line 93 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 686 "ContactImage.c"
			goto __catch3_g_error;
		}
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp8_ = cr;
#line 94 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_operator (_tmp8_, CAIRO_OPERATOR_OVER);
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp9_ = width;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp10_ = size;
#line 95 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		x = (_tmp9_ - _tmp10_) / 2;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp11_ = height;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp12_ = size;
#line 96 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		y = (_tmp11_ - _tmp12_) / 2;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp13_ = cr;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp14_ = x;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp15_ = y;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp16_ = size;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp17_ = size;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp18_ = size;
#line 97 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (_tmp13_, (gdouble) _tmp14_, (gdouble) _tmp15_, (gdouble) _tmp16_, (gdouble) _tmp17_, (gdouble) (_tmp18_ / 2));
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp19_ = cr;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp20_ = img_pixbuf;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp21_ = x;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp22_ = y;
#line 98 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (_tmp19_, _tmp20_, (gdouble) _tmp21_, (gdouble) _tmp22_);
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp23_ = cr;
#line 99 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (_tmp23_);
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp24_ = cr;
#line 100 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_line_width (_tmp24_, (gdouble) 0);
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp25_ = cr;
#line 101 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (_tmp25_, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp26_ = cr;
#line 102 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		cairo_stroke (_tmp26_);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 747 "ContactImage.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		e = _inner_error_;
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_inner_error_ = NULL;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp27_ = e;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp28_ = _tmp27_->message;
#line 104 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:104: %s", _tmp28_);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 105 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		return result;
#line 771 "ContactImage.c"
	}
	__finally3:
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error_);
#line 89 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		return FALSE;
#line 782 "ContactImage.c"
	}
#line 108 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 108 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return result;
#line 788 "ContactImage.c"
}


static gboolean ___lambda77__gtk_widget_draw (GtkWidget* _sender, cairo_t* cr, gpointer self) {
	gboolean result;
	result = __lambda77_ ((MayaContactImage*) self, cr);
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	return result;
#line 797 "ContactImage.c"
}


static void maya_contact_image_show_default_avatar (MayaContactImage* self) {
	GtkImage* image = NULL;
	GtkImage* _tmp0_ = NULL;
#line 86 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp0_ = (GtkImage*) gtk_image_new ();
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp0_);
#line 87 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	image = _tmp0_;
#line 88 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_signal_connect_object ((GtkWidget*) image, "draw", (GCallback) ___lambda77__gtk_widget_draw, self, 0);
#line 111 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 112 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 86 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 820 "ContactImage.c"
}


static void maya_contact_image_show_avatar_image (MayaContactImage* self, GtkImage* image) {
	GtkImage* _tmp0_ = NULL;
	GtkImage* _tmp1_ = NULL;
	GtkImage* _tmp2_ = NULL;
	GtkImage* _tmp3_ = NULL;
	GtkImage* _tmp5_ = NULL;
	GtkImage* _tmp6_ = NULL;
#line 115 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 115 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_return_if_fail (image != NULL);
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp0_ = image;
#line 116 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp0_);
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp1_ = image;
#line 117 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_widget_show ((GtkWidget*) _tmp1_);
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp2_ = image;
#line 118 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	gtk_stack_set_visible_child ((GtkStack*) self, (GtkWidget*) _tmp2_);
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp3_ = self->priv->current_image;
#line 119 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	if (_tmp3_ != NULL) {
#line 851 "ContactImage.c"
		GtkImage* _tmp4_ = NULL;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		_tmp4_ = self->priv->current_image;
#line 120 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
		gtk_widget_destroy ((GtkWidget*) _tmp4_);
#line 857 "ContactImage.c"
	}
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp5_ = image;
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 121 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv->current_image = _tmp6_;
#line 867 "ContactImage.c"
}


static void maya_contact_image_class_init (MayaContactImageClass * klass) {
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	maya_contact_image_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	g_type_class_add_private (klass, sizeof (MayaContactImagePrivate));
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_contact_image_finalize;
#line 878 "ContactImage.c"
}


static void maya_contact_image_instance_init (MayaContactImage * self) {
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv = MAYA_CONTACT_IMAGE_GET_PRIVATE (self);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv->current_image = NULL;
#line 28 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 889 "ContactImage.c"
}


static void maya_contact_image_finalize (GObject* obj) {
	MayaContactImage * self;
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_CONTACT_IMAGE, MayaContactImage);
#line 27 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 25 "/builddir/build/BUILD/maya-calendar-0.4.0.2/src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (maya_contact_image_parent_class)->finalize (obj);
#line 901 "ContactImage.c"
}


GType maya_contact_image_get_type (void) {
	static volatile gsize maya_contact_image_type_id__volatile = 0;
	if (g_once_init_enter (&maya_contact_image_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaContactImageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_contact_image_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaContactImage), 0, (GInstanceInitFunc) maya_contact_image_instance_init, NULL };
		GType maya_contact_image_type_id;
		maya_contact_image_type_id = g_type_register_static (gtk_stack_get_type (), "MayaContactImage", &g_define_type_info, 0);
		g_once_init_leave (&maya_contact_image_type_id__volatile, maya_contact_image_type_id);
	}
	return maya_contact_image_type_id__volatile;
}



